import { Observable } from 'rxjs';
import { XmppClient } from '../wac-proxy/wac-stack/XmppClient';
interface FileUpload {
    name: string;
    url: string;
    progress: Observable<number>;
    abort: () => void;
}
export declare class FileTooLargeError extends Error {
    maxSize: number;
    type: string;
    constructor(maxSize: number);
}
export declare class FileUploader {
    private xmppClient;
    constructor(xmppClient: XmppClient);
    upload(file: File): Promise<FileUpload>;
}
export {};
