/**
 * Instances of this class represents a file in a chat message. This class must not be
 * directly instantiated. Instances of this class can be obtained using {@link ChatMessage#getData}.
 */
export declare class ChatMessageFile {
    /**
     * The name of the file
     */
    name: string;
    /**
     * The URL of the file
     */
    url: string;
    /** @ignore */
    constructor(name: string, url: string);
}
